#!/bin/bash

ifn1s=1
ifn1e=2
ifn2s=10


dir1='results'
dir2='results-renamed'

if [ ! -e $dir1 ]; then
    echo ERROR : $dir1 does not exist.
    exit
fi
if [ ! -e $dir2 ]; then
    echo ERROR : $dir2 does not exist.
    exit
fi

for ((ifn=$ifn1s; ifn <= $ifn1e; ifn++)); do
    ifn1=$ifn
    if [ $ifn1 -lt 10 ] ; then
	cfn1='00'$ifn1
    elif [ $ifn1 -lt 100 ] ; then
	cfn1='0'$ifn1
    else
	cfn1=$ifn1
    fi
    ifn2=$((ifn-1+ifn2s))
    if [ $ifn2 -lt 10 ] ; then
	cfn2='00'$ifn2
    elif [ $ifn2 -lt 100 ] ; then
	cfn2='0'$ifn2
    else
	cfn2=$ifn2
    fi
    path1=$dir1/k$cfn1
    path2=$dir2/k$cfn2
    #
    if [ ! -e $path1 ]; then
	echo ERROR : $path1 does not exist.
	exit
    fi
    if [ -e $path2 ]; then
	echo ERROR : $path2 exists.
	exit
    fi
    #
    echo cp $path1 $path2
    cp $path1 $path2
done
